#include <QLCDNumber>
#include <QSlider>
#include <QVBoxLayout>

#include "lcdslider.h"

LcdSlider::LcdSlider(QWidget * parent) : QWidget(parent)
{
    QLCDNumber * lcd = new QLCDNumber(3);
    lcd->setSegmentStyle(QLCDNumber::Filled);
    
    QSlider * slider = new QSlider(Qt::Horizontal);
    slider->setRange(0, 180);
    slider->setValue(0);
    
    connect(slider, SIGNAL(valueChanged(int)), lcd, SLOT(display(int)));
    connect(slider, SIGNAL(valueChanged(int)), this, SIGNAL(valueChanged(int)));
    
    QVBoxLayout * layout = new QVBoxLayout;
    layout->addWidget(lcd);
    layout->addWidget(slider);
    
    setLayout(layout);
}

