#include <QApplication>
#include <QWidget>

#include "lcdslider.h"
#include "rotaterwidget.h"

class MainForm : public QWidget
{
public:
    MainForm(QWidget * parent = NULL) : QWidget(parent)
    {
        LcdSlider * lcdslider = new LcdSlider(this);
        lcdslider->setGeometry(10, 10, 100, 100);
        
        RotaterWidget * rotaterwidget = new RotaterWidget(this);
        rotaterwidget->setGeometry(120, 10, 200, 200);
        
        connect(lcdslider, SIGNAL(valueChanged(int)), rotaterwidget, SLOT(setAngle(int)));
    }
};

int main(int argc, char *argv[])
{
    QApplication app(argc, argv);
    
    MainForm F;
    F.show();
    
    return app.exec();
}

